## ros-indigo-cob-collision-monitor 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_collision_monitor)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  moveit_ros_move_group
  moveit_ros_planning
  pluginlib
  std_msgs
  tf
)
catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_library(cob_collision_monitor_capability
  src/collision_monitor_capability.cpp
)

add_executable(cob_collision_monitor_node src/collision_monitor_node.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(cob_collision_monitor_node
  ${catkin_LIBRARIES}
)
target_link_libraries(cob_collision_monitor_capability
  ${catkin_LIBRARIES}
)


## Mark executables and/or libraries for installation
install(TARGETS cob_collision_monitor_capability cob_collision_monitor_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES move_group_capabilities.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-collision-monitor (0.6.6-1trusty) trusty; urgency=high

  * Merge pull request #133 <https://github.com/ipa320/cob_manipulation/issues/133> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * updated author/maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Mathias Lüdtke, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.5-1trusty) trusty; urgency=high

  * parameters via launch file
  * default verbosity set to false
  * catch runtime exception
  * add debug info to collision_monitor
  * restructure moveit config
  * do not load robot_description in cob_moveit_config/upload_config.launch
  * minor launch adjustments
  * update cob_collision_monitor
  * add remaps for cob4 as comments
  * Contributors: ipa-fxm, ipa-nhg

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.4-1trusty) trusty; urgency=high

  * explicit name for the collision_monitor plugin
  * add launch file for standalone collision_monitor node
  * introducing default values for parameter circumpassing fcl bug
  * Fixed typo, i was missing in lib path
  * removed most auto-generted comments
  * added cob_collision_monitor package
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-mdl

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.3-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.2-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.1-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.6.0-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.5.2-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-collision-monitor (0.5.1-1trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 25 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-collision-monitor
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/cob_collision_monitor
Standards-Version: 3.9.2

Package: ros-indigo-cob-collision-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-moveit-config, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-std-msgs, ros-indigo-tf
Description: The collision monitor uses the planning scene monitor to read the state of the robot and check it for collision with itselt or the environment.
 It addition a ground plane is added in any case. Can be used as a stand-aloan node or a move_group capability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-collision-monitor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
